chunked.filename.prefix
Prev | Chunking | Next

## chunked.filename.prefix

chunked.filename.prefix — Filename prefix for chunked files

## Synopsis

    <xsl:param name="chunked.filename.prefix"></xsl:param>

## Description

If specified, the `chunked.filename.prefix` parameter specifies a prefix string to add to each generated chunk filename. For example:

    <xsl:param name="chunked.filename.prefix">admin-<xsl:param>

will produce chunked filenames like:

    admin-index.html
    admin-ch01.html
    admin-ch01s01.html
    ...

### Caution

Trying to use the `base.dir` parameter to add a string prefix (by omitting the trailing slash) no longer works (it never worked completely anyway). That parameter value should contain only a directory path, and now gets a trailing slash appended if it was omitted from the param.

Prev | Up | Next
base.dir | Home | generate.manifest